
%define	distversion	1.0
%define	distrelease	"%{distversion} PLD Live CD"

Summary:	PLD LiveCD release file with logo
Summary(de.UTF-8):	PLD LiveCD Release-Datei mit logo
Summary(pl.UTF-8):	Wersja PLD LiveCD z logiem
Name:		issue-livecd
Version:	%{distversion}
Release:	9
License:	GPL
Group:		Base
Provides:	issue
Obsoletes:	issue
Obsoletes:	issue-alpha
Obsoletes:	issue-fancy
Obsoletes:	issue-logo
Obsoletes:	issue-pure
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PLD LiveCD release file with logo.

%description -l de.UTF-8
PLD LiveCD Release-Datei mit logo.

%description -l pl.UTF-8
Wersja PLD LiveCD z logiem.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

cat > $RPM_BUILD_ROOT%{_sysconfdir}/issue <<EOF
  _
 / )     PLD Live CD %{distversion} \m, \r
/ /       Welcome to \n
 ( -.      Login as root || user
 \\\\   \\\\      \u user(s)
  \\\\  \\\\\\\\
   \\\`| \\\\\\\\
    |  \\\`
    |

EOF

echo -ne "\l " >> $RPM_BUILD_ROOT%{_sysconfdir}/issue

cat > $RPM_BUILD_ROOT%{_sysconfdir}/issue.net <<EOF
  _
 / )     PLD Live CD %{distversion} %m, %r
/ /       Welcome to %h
 ( -.
 \\\\   \\\\
  \\\\  \\\\\\\\
   \\\`| \\\\\\\\
    |  \\\`
    |

EOF

echo %{distrelease} > $RPM_BUILD_ROOT%{_sysconfdir}/pld-release

# CPE_NAME = cpe:/ {part} : {vendor} : {product} : {version} : {update} : {edition} : {language}
# http://cpe.mitre.org/specification/
cat >$RPM_BUILD_ROOT%{_sysconfdir}/os-release <<EOF
NAME="PLD Linux"
VERSION="%{distversion} (%{distname})"
ID="pld"
VERSION_ID="%{distversion}"
PRETTY_NAME="PLD Linux %{distversion} (%{distname})"
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:pld-linux:pld:%{distversion}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_sysconfdir}/os-release
%{_sysconfdir}/pld-release
%config(noreplace) %{_sysconfdir}/issue*
%changelog
* Fri Jan 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/issue-livecd.git;a=log;h=master

* Fri Jan 03 2025 Jan Rękorajski <baggins@pld-linux.org> 45057ea
- Release 9 (by relup.sh)

* Fri Jan 03 2025 Jan Rękorajski <baggins@pld-linux.org> b9a7922
- Release 8 (by relup.sh)

* Fri Dec 31 2021 Jan Rękorajski <baggins@pld-linux.org> 1f15f91
- Release 7 (by relup.sh)

* Fri Dec 31 2021 Jan Rękorajski <baggins@pld-linux.org> 267bcd5
- Release 6 (by relup.sh)

* Fri Dec 31 2021 Jan Rękorajski <baggins@pld-linux.org> b2f1bbd
- Release 5 (by relup.sh)

* Tue Dec 31 2013 Jan Rękorajski <baggins@pld-linux.org> e9a30ad
- release 4 (by relup.sh)

* Tue Dec 31 2013 Jan Rękorajski <baggins@pld-linux.org> ae8d3f5
- release 3 (by relup.sh)

* Thu Feb 16 2012 Jan Rękorajski <baggins@pld-linux.org> 740516b
- relup
- drop foreign obsoletes
- add /etc/os-release (http://www.freedesktop.org/software/systemd/man/os-release.html)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 23e023f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3d45120
- converted to UTF-8

* Sun Aug 22 2004 Jakub Bogusz <qboosh@pld-linux.org> c6f9dab
- typo, cosmetics

* Sat Aug 21 2004 havner <havner@pld-linux.org> 659c141
- provides issue

* Sat Aug 21 2004 havner <havner@pld-linux.org> f065410
- livecd issue

